package cn.iocoder.yudao.module.basic.controller.admin.businessinfo.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 商户 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class BusinessInfoBaseVO {

    @ApiModelProperty(value = "商户名称", required = true)
    @NotNull(message = "商户名称不能为空")
    private String businessName;

    @ApiModelProperty(value = "企业名称", required = true)
    @NotNull(message = "企业名称不能为空")
    private String companiesName;

    @ApiModelProperty(value = "备注")
    private String remarks;

}
