package cn.iocoder.yudao.module.basic.controller.admin.dealergoods.vo;

import lombok.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 经销商经销产品 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class DealerGoodsBaseVO {

    @ApiModelProperty(value = "经销商编码")
    //@NotNull(message = "经销商编码不能为空")
    private String dealerId;

    @ApiModelProperty(value = "经销商名称", required = true)
    @NotNull(message = "经销商名称不能为空")
    private String dealerName;

    @ApiModelProperty(value = "商品编码", required = true)
    @NotNull(message = "商品编码不能为空")
    private String goodsId;

    @ApiModelProperty(value = "商品名称", required = true)
    @NotNull(message = "商品名称不能为空")
    private String goodsName;

    @ApiModelProperty(value = "销售区域", required = true)
    @NotNull(message = "销售区域不能为空")
    private String saleArea;

    @ApiModelProperty(value = "销售区域ID")
    private Long saleAreaId;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称", required = true)
    @NotNull(message = "所属商户名称不能为空")
    private String belongBusinessName;
}
