package cn.iocoder.yudao.module.basic.controller.admin.goodscategory.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.util.List;

@Data
public class GoodsCategoryVO {
    /**
     * id 最多 6 位数值，且从 100001 开始分配。
     */
    @TableId
    private Long id;
    /**
     * 分类名称,默认值：'
     */
    private String name;
    /**
     * 上一级节点ID，默认值：0
     */
    private Long pid;
    /**
     * 上级分类id路径是由所有的父节点id组成，使用逗号进行分隔。例如:  1,2，默认值：'
     */
    private String parentIdPath;
    /**
     * 1|一级分类; 2|二级分类; 3|三级分类,默认值：1
     */
    private Byte level;
    /**
     * 序列，默认值：0
     */
    private Byte sequence;

    private List<GoodsCategoryVO> children;
}
