package cn.iocoder.yudao.module.basic.controller.admin.unit.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;
import io.swagger.annotations.*;

import java.util.Date;

@ApiModel("管理后台 - 商品 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class UnitRespVO extends UnitBaseVO {

    @ApiModelProperty(value = " 编码", required = true)
    private Long id;

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", timezone="GMT")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

}
