package cn.iocoder.yudao.module.basic.controller.admin.workersinfo.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 员工 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class WorkersInfoBaseVO {

    @ApiModelProperty(value = "员工姓名", required = true)
    @NotNull(message = "员工姓名不能为空")
    private String workersName;

    @ApiModelProperty(value = "员工编码", required = true)
    @NotNull(message = "员工编码不能为空")
    private String workersCode;

    @ApiModelProperty(value = "所属商户id")
    //@NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称", required = true)
    @NotNull(message = "所属商户名称不能为空")
    private String belongBusinessName;

    @ApiModelProperty(value = "联系电话")
    private String contactPhone;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "openid")
    private String openid;

}
