package cn.iocoder.yudao.module.basic.framework.rpc.config;

import cn.iocoder.yudao.module.configure.api.uniTemplate.UniTemplateApi;
import cn.iocoder.yudao.module.infra.api.file.FileApi;
import cn.iocoder.yudao.module.product.api.harvestbatch.HarvestBatchApi;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Configuration;

@Configuration(proxyBeanMethods = false)
@EnableFeignClients(clients = {
        FileApi.class,
        UniTemplateApi.class,
        HarvestBatchApi.class,
})
public class RpcConfiguration {
}
