package cn.iocoder.yudao.module.configure.api.uniTemplate.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class UniTemplateItemDTO {

    @ApiModelProperty(value = "编号")
    private Long id;

    @ApiModelProperty(value = "图标图片")
    private String iconUrl;

    @ApiModelProperty(value = "x轴百分比(相对图片)")
    private BigDecimal x;

    @ApiModelProperty(value = "y轴百分比(相对图片)")
    private BigDecimal y;

    @ApiModelProperty(value = "宽")
    private BigDecimal width;

    @ApiModelProperty(value = "高")
    private BigDecimal height;

}
