package cn.iocoder.yudao.module.configure.controller.admin.inspectionitem.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 检测报告模板检测项目保存 Request VO")
@Data
public class InspectionItemSaveReqVO {

    @ApiModelProperty(value = "ID")
    private Long id;

    @ApiModelProperty(value = "检测项目", required = true)
    @NotNull(message = "检测项目不能为空")
    private String inspectionItem;

    @ApiModelProperty(value = "检测项目单位", required = true)
    @NotNull(message = "检测项目单位不能为空")
    private String inspectionUnit;

    @ApiModelProperty(value = "检测项目技术要求", required = true)
    @NotNull(message = "检测项目技术要求不能为空")
    private String inspectionRequire;

}
