package cn.iocoder.yudao.module.configure.controller.admin.inspectiontemplate.vo;

import cn.iocoder.yudao.module.configure.controller.admin.inspectionitem.vo.InspectionItemRespVO;
import lombok.*;
import io.swagger.annotations.*;

import java.util.Date;
import java.util.List;

@ApiModel("管理后台 - 检测报告模板 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class InspectionTemplateRespVO extends InspectionTemplateBaseVO {

    @ApiModelProperty(value = "编号", required = true)
    private Long id;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "检测项目集合")
    List<InspectionItemRespVO> inspectionItems;

}
