package cn.iocoder.yudao.module.configure.controller.admin.materialmanagement.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
public class MaterialManagementGroupUpdate {

    @ApiModelProperty(value = "编号列表", required = true)
    @NotNull(message = "编号列表不能为空")
    private List<Long> ids;

    @ApiModelProperty(value = "分组id", required = true)
    @NotNull(message = "分组id不能为空")
    private Long groupId;

}
