package cn.iocoder.yudao.module.configure.controller.admin.tracelink.vo;

import cn.iocoder.yudao.module.configure.controller.admin.tracelinkitem.vo.TraceLinkItemSaveReqVO;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

import javax.validation.Valid;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 溯源模板-环节更新 Request VO")
@Data
public class TraceLinkSaveReqVO {

    @ApiModelProperty(value = "ID")
    private Long id;

    @ApiModelProperty(value = "环节名称")
    private String linkName;

    @ApiModelProperty(value = "排序")
    @Min(value = 0)
    private Integer sort = 0;

    @ApiModelProperty(value = "环节item列表")
    @NotEmpty(message = "环节item列表不能为空")
    @Valid
    private List<TraceLinkItemSaveReqVO> linkItems;

}
