package cn.iocoder.yudao.module.configure.controller.admin.tracetemplate.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@ApiModel("管理后台 - 环节信息Item 文件导入/出 VO")
@Data
public class LinkItemFileVO {

    @ApiModelProperty(value = "内容标题")
    private String title;

    @ApiModelProperty(value = "内容类型，详见字典")
    @NotNull(message = "内容类型不能为空")
    private Integer type;

    @ApiModelProperty(value = "详细内容，如图片视频url地址、文本、文件链接等")
    private String content;

    @ApiModelProperty(value = "链接地址")
    private String linkText;

}
