package cn.iocoder.yudao.module.configure.dal.mysql.tracetemplate;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.configure.controller.admin.tracelink.vo.TraceLinkReqVO;
import cn.iocoder.yudao.module.configure.dal.dataobject.tracetemplate.TraceTemplateDO;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.configure.controller.admin.tracetemplate.vo.*;
import org.apache.ibatis.annotations.Param;

/**
 * 溯源模板 Mapper
 *
 * @author 芋道源码
 */
@Mapper
public interface TraceTemplateMapper extends BaseMapperX<TraceTemplateDO> {

    List<TraceTemplateRespVO> selectTraceTemplatePage(Page page, @Param("pageReqVO") TraceTemplatePageReqVO pageReqVO);

    List<TraceTemplateRespVO> getTraceTemplateList(@Param("traceTemplate") TraceTempReqVO traceLink);

}
