package cn.iocoder.yudao.module.configure.service.inspectionitem;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.configure.controller.admin.inspectionitem.vo.*;
import cn.iocoder.yudao.module.configure.dal.dataobject.inspectionitem.InspectionItemDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 检测报告模板检测项目 Service 接口
 *
 * @author 芋道源码
 */
public interface InspectionItemService {

    /**
     * 获得检测报告模板检测项目
     *
     * @param id 编号
     * @return 检测报告模板检测项目
     */
    InspectionItemDO getInspectionItem(Long id);

    /**
     * 获得检测报告模板检测项目分页
     *
     * @param pageReqVO 分页查询
     * @return 检测报告模板检测项目分页
     */
    PageResult<InspectionItemDO> getInspectionItemPage(InspectionItemPageReqVO pageReqVO);

}
