package cn.iocoder.yudao.module.identity.controller.admin.diversionrecord.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 疑似窜货记录 Excel VO
 *
 * @author 芋道源码
 */
@Data
public class DiversionRecordExcelVO {

//    @ExcelProperty("编码")
//    private Long id;

    @ExcelProperty("经销商编码")
    private String dealerId;

    @ExcelProperty("经销商名称")
    private String dealerName;

    @ExcelProperty("批次编码")
    private String batchId;

    @ExcelProperty("商品编码")
    private String goodsId;

    @ExcelProperty("商品名称")
    private String goodsName;

    @ExcelProperty("扫码地点")
    private String scanLocation;

    @ExcelProperty("扫码时间")
    private Date scanTime;

    @ExcelProperty("是否窜货")
    private String diversionStateText;

    @ExcelProperty("窜货等级")
    private String diversionLevelText;

    @ExcelProperty("状态")
    private String statusText;

    @ExcelProperty("备注")
    private String remarks;

//    @ExcelProperty("所属商户id")
//    private Long belongBusinessId;

    @ExcelProperty("所属商户名称")
    private String belongBusinessName;

    @ExcelProperty("创建时间")
    private Date createTime;

}
