package cn.iocoder.yudao.module.identity.controller.admin.diversionstats.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 窜货统计 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class DiversionStatsBaseVO {

    @ApiModelProperty(value = "经销商编码", required = true)
    @NotNull(message = "经销商编码不能为空")
    private String dealerId;

    @ApiModelProperty(value = "经销商名称", required = true)
    @NotNull(message = "经销商名称不能为空")
    private String dealerName;

    @ApiModelProperty(value = "批次id", required = true)
    @NotNull(message = "批次id不能为空")
    private String batchId;

    @ApiModelProperty(value = "商品id", required = true)
    @NotNull(message = "商品id不能为空")
    private String goodsId;

    @ApiModelProperty(value = "商品名称", required = true)
    @NotNull(message = "商品名称不能为空")
    private String goodsName;

    @ApiModelProperty(value = "窜货数", required = true)
    @NotNull(message = "窜货数不能为空")
    private Integer num;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称", required = true)
    @NotNull(message = "所属商户名称不能为空")
    private String belongBusinessName;

}
