package cn.iocoder.yudao.module.identity.controller.admin.generatebatch.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 码生成记录与批次关联记录 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class GenerateBatchBaseVO {

    @ApiModelProperty(value = "码生成记录id", required = true)
    @NotNull(message = "码生成记录id不能为空")
    private String generateRecordId;

    @ApiModelProperty(value = "相关批次ID", required = true)
    @NotNull(message = "相关批次ID不能为空")
    private String batchId;

    @ApiModelProperty(value = "生成数量", required = true)
    @NotNull(message = "生成数量不能为空")
    private Integer num;

    @ApiModelProperty(value = "类型： 0：采收批次", required = true)
    @NotNull(message = "类型： 0：采收批次不能为空")
    private Integer batchType;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称", required = true)
    @NotNull(message = "所属商户名称不能为空")
    private String belongBusinessName;

}
