package cn.iocoder.yudao.module.identity.controller.admin.generatebatch.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

@ApiModel(value = "管理后台 - 码生成记录与批次关联记录 Excel 导出 Request VO", description = "参数和 GenerateBatchPageReqVO 是一致的")
@Data
public class GenerateBatchExportReqVO {

    @ApiModelProperty(value = "码生成记录id")
    private String generateRecordId;

    @ApiModelProperty(value = "相关批次ID")
    private String batchId;

    @ApiModelProperty(value = "生成数量")
    private Integer num;

    @ApiModelProperty(value = "类型： 0：采收批次")
    private Integer batchType;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;

    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date[] createTime;

}
