package cn.iocoder.yudao.module.identity.controller.admin.scanrecord.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

@ApiModel("管理后台 - 标签状态 Response VO")
@Data
@ToString(callSuper = true)
public class BrokenStatusRespVO {

    @ApiModelProperty(value = "UNSUPPORTED 不支持, UNBROKEN 未打开, BROKEN 已打开, REPAIRED 已打开")
    private String key;

    @ApiModelProperty(value = "value")
    private Integer value;

    @ApiModelProperty(value = "描述")
    private String description;

}
