package cn.iocoder.yudao.module.identity.controller.admin.scanrecord.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;

@ApiModel("管理后台 - 扫码记录 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ScanRecordRespVO extends ScanRecordBaseVO {

    @ApiModelProperty(value = "编码", required = true)
    private Long id;

    @ApiModelProperty(value = "扫码时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date scanTime;

    @ApiModelProperty(value = "标签打开结果")
    private String brokenResult;

}
