package cn.iocoder.yudao.module.product.api.harvestbatch.dto;

import lombok.Data;

@Data
public class UniTemplateDTO {

    /**
     * 编号
     */
    private Long id;
    /**
     * 模板id
     */
    private String templateId;
    /**
     * 模板名称
     */
    private String templateName;
    /**
     * 头部背景图
     */
    private String bgPhotoUrl;
    /**
     * logo图
     */
    private String logoPhotoUrl;
    /**
     * 是否显示logo
     */
    private Boolean showLogo;
    /**
     * 是否显示经销流转信息
     */
    private Boolean showFlow;
    /**
     * 多次验证提示文案
     */
    private String verifyHint;
    /**
     * 多次验证提示阈值设置
     */
    private Integer scanMostNum;
    /**
     * 背景颜色
     */
    private String bgColor;
    /**
     * 超过阈值后背景颜色
     */
    private String bgColorThreshold;
    /**
     * 字体颜色
     */
    private String fontColor;
    /**
     * 是否显示扫码记录
     */
    private Boolean showScanRecord;
    /**
     * 是否为默认模板
     */
    private Boolean defaultTemplate;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;
}
