package cn.iocoder.yudao.module.product.controller.admin.deviceinfo.vo;

import cn.iocoder.yudao.module.product.controller.admin.slavedevice.vo.SlaveDeviceSaveReqVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel("管理后台 - 设备信息创建 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DeviceInfoCreateReqVO extends DeviceInfoSaveReqVO {

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "地块/鱼塘/牧场id", required = true)
    @NotNull(message = "地块/鱼塘/牧场id不能为空")
    private String landId;

}
