package cn.iocoder.yudao.module.product.controller.admin.harvestbatch.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.Valid;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

@ApiModel("管理后台 - 区块证书保存（创建/更新） Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class FarmingPlantReqVO extends BlockCertificateSaveReqVO {

    @ApiModelProperty(value = "农事作业")
    @Valid
    private List<BlockCertificateSaveReqVO> farmingJobs;

}
