package cn.iocoder.yudao.module.product.controller.admin.harvestbatch.vo;

import lombok.*;
import io.swagger.annotations.*;

import java.util.Date;

@ApiModel("管理后台 - 采收批次 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class HarvestBatchRespVO extends HarvestBatchBaseVO {

    @ApiModelProperty(value = "编码", required = true)
    private Long id;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "商品单位")
    private String goodsUnit;

    @ApiModelProperty(value = "商品规格")
    private String goodsSpecs;

    @ApiModelProperty(value = "语言类型ID")
    private Long languageTypeId;

    @ApiModelProperty(value = "模板配置ID")
    private Long templateId;

}
