package cn.iocoder.yudao.module.product.controller.admin.inspectionitem.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@ApiModel("管理后台 - 检验-检测项目更新 Request VO")
@Data
public class InspectionItemSaveReqVO {

    @ApiModelProperty(value = "ID")
    private Long id;

    @ApiModelProperty(value = "检测项目", required = true)
    @NotNull(message = "检测项目不能为空")
    private String inspectionItem;

    @ApiModelProperty(value = "单位", required = true)
    @NotNull(message = "单位不能为空")
    private String inspectionUnit;

    @ApiModelProperty(value = "技术要求", required = true)
    @NotNull(message = "技术要求不能为空")
    private String inspectionRequire;

    @ApiModelProperty(value = "检测结果", required = true)
    @NotNull(message = "检测结果不能为空")
    private String inspectionResult;

    @ApiModelProperty(value = "单项结论", required = true)
    @NotNull(message = "单项结论不能为空")
    private String inspectionConclusion;

}
