package cn.iocoder.yudao.module.product.controller.admin.slavedevice.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

@ApiModel("管理后台 - 从(子)设备信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class SlaveDevicePageReqVO extends PageParam {

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "传感器对应的环境类型，关联product_env_type表的ID")
    private Long envType;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;

}
