package cn.iocoder.yudao.module.product.controller.admin.statistics.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class HarvestInfoDataRespVO {

    @ApiModelProperty(value = "月同比数据")
    private List<MonthYOYRespVO> monthYOYDatas;

    @ApiModelProperty(value = "周同比数据")
    private List<WeekYOYRespVO> weekYOYDatas;

    @ApiModelProperty(value = "采收商品月统计信息")
    private List<GoodsStatisticsDataRespVO> goodsMonthStatisticsDatas;

    @ApiModelProperty(value = "采收商品月统计信息")
    private List<GoodsStatisticsDataRespVO> goodsWeekStatisticsDatas;

    @ApiModelProperty(value = "采收数量")
    private BigDecimal todayHarvestCount;

}
