package cn.iocoder.yudao.module.product.dal.mysql.deviceinfo;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.product.controller.admin.deviceinfo.vo.DeviceEnvTypeRespVO;
import cn.iocoder.yudao.module.product.controller.admin.deviceinfo.vo.DeviceInfoPageReqVO;
import cn.iocoder.yudao.module.product.controller.admin.deviceinfo.vo.DeviceInfoRespVO;
import cn.iocoder.yudao.module.product.dal.dataobject.deviceinfo.DeviceInfoDO;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 设备信息 Mapper
 *
 * @author 芋道源码
 */
@Mapper
public interface DeviceInfoMapper extends BaseMapperX<DeviceInfoDO> {

    List<DeviceInfoRespVO> selectDeviceInfoPage(Page<DeviceInfoRespVO> page, @Param("pageReqVO") DeviceInfoPageReqVO pageReqVO);

    List<DeviceEnvTypeRespVO> getDeviceEnvTypes(@Param("tenantId")Long tenantId, @Param("belongBusinessId")Long belongBusinessId,
                                                @Param("deviceType")Integer deviceType, @Param("gatewayType")Integer gatewayType);

}
