package cn.iocoder.yudao.module.basic.api.redis.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName GoodsInfoDTO
 * @Description TODO
 * @Author q5932
 * @Date 2023/5/6 13:32
 * @Version 1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class GoodsInfoDTO {
    /**
     *  编码
     */
    @ApiModelProperty(value = "主键id")
    private Long id;
    /**
     * 商品名称
     */
    @ApiModelProperty(value = "商品名称")
    private String goodsName;
    /**
     * 商品编码
     */
    @ApiModelProperty(value = "商品编码")
    private String goodsId;
    /**
     * 商品类型
     */
    @ApiModelProperty(value = "商品类型")
    private String goodsType;
    /**
     * 商品类型id
     */
    @ApiModelProperty(value = "商品类型id")
    private Long goodsTypeId;
    /**
     * 商品单位
     */
    @ApiModelProperty(value = "商品单位")
    private String goodsUnit;
    /**
     * 商品规格
     */
    @ApiModelProperty(value = "商品规格")
    private String goodsSpecs;
    /**
     * 商品说明
     */
    @ApiModelProperty(value = "商品说明")
    private String goodsRemarks;
    /**
     * 商品图片url，以;分割，最多6张
     */
    @ApiModelProperty(value = "商品图片url")
    private String goodsImgUrl;
    /**
     * 保质期天
     */
    @ApiModelProperty(value = "保质期天")
    private Integer shelfLife;
    /**
     * 所属商户id
     */
    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;
}
