package cn.iocoder.yudao.module.basic.controller.admin.goodscategory.vo;

import lombok.*;
import io.swagger.annotations.*;

import java.util.Date;

@ApiModel("管理后台 - 商品分类表。分类的编号为 C 开头，如：C100001 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class GoodsCategoryRespVO extends GoodsCategoryBaseVO {

    @ApiModelProperty(value = "id 最多 6 位数值，且从 100001 开始分配。", required = true)
    private Long id;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

}
