package cn.iocoder.yudao.module.basic.controller.admin.goodscategory.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 商品分类表。分类的编号为 C 开头，如：C100001更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class GoodsCategoryUpdateReqVO extends GoodsCategoryBaseVO {

    @ApiModelProperty(value = "id 最多 6 位数值，且从 100001 开始分配。", required = true)
    @NotNull(message = "id 最多 6 位数值，且从 100001 开始分配。不能为空")
    private Long id;

}
