package cn.iocoder.yudao.module.basic.controller.app.workersinfo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@ApiModel("app移动端 - 小程序登陆 Request VO")
@Data
public class Code2SessionReqVO {

    @ApiModelProperty(value = "商户信息ID")
    @NotNull(message = "商户信息ID不能为空")
    private Long businessInfoId;

    @ApiModelProperty(value = "手机号")
    @NotBlank(message = "手机号不能为空")
    private String phone;

    @ApiModelProperty(value = "js_code")
    @NotBlank(message = "js_code不能为空")
    private String code;

}
