package cn.iocoder.yudao.module.chain.controller.admin.blockcertificate.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel("管理后台 - 区块证书 Request VO")
@Data
public class BlockCertificateReqVO {

    private Long id;

    @ApiModelProperty(value = "上链操作专属ID")
    private String chainOperateId;

    @ApiModelProperty(value = "操作类型")
    private Integer operateType;

    @ApiModelProperty(value = "批次上链类型： 0：采收批次   1:投入品采购批次  2:检验检疫批次")
    private Integer batchType;

    @ApiModelProperty(value = "批次id")
    private String batchId;

    @ApiModelProperty(value = "上链状态")
    private Integer chainState;

    @ApiModelProperty(value = "链状态")
    private Integer chainStatus;

    @ApiModelProperty(value = "语言类型ID")
    private Long languageTypeId;

    @ApiModelProperty(value = "父操作编码")
    private String parentOperateId;

    @ApiModelProperty(value = "操作类型")
    private List<Integer> operateTypes;

}
