package cn.iocoder.yudao.module.chain.controller.admin.blockcertificate.vo;

import cn.iocoder.yudao.module.chain.controller.admin.operatedetail.vo.OperateDetailRespVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.List;

@ApiModel("管理后台 - 区块证书 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BlockCertificateRespVO extends BlockCertificateBaseVO {

    @ApiModelProperty(value = "编号", required = true)
    private Long id;

    @ApiModelProperty(value = "批次上链类型： 0：采收批次   1:投入品采购批次  2:检验检疫批次", required = true)
    private Integer batchType;

    @ApiModelProperty(value = "区块上链操作具体上链信息", required = true)
    private List<OperateDetailRespVO> operateDetails;

}
