package cn.iocoder.yudao.module.chain.controller.admin.blockcertificate.vo;

import cn.iocoder.yudao.module.chain.api.blockcertificate.dto.UpChainObjReqDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel("管理后台 - 区块证书上链 Request VO")
@Data
public class BlockCertificateUpChainReqVO {

    @ApiModelProperty(value = "操作类型")
    @NotNull
    private Integer operateType;

    @ApiModelProperty(value = "操作类型描述")
    @NotNull
    private String operateName;

    @ApiModelProperty(value = "操作对象")
    @NotEmpty
    private List<UpChainObjReqVO> operateObjs;

    @ApiModelProperty(value = "批次上链类型")
    private Integer batchType;

    @ApiModelProperty(value = "批次编码")
    private String batchId;

    @ApiModelProperty(value = "所属商户id")
    @NotNull
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称")
    @NotNull
    private String belongBusinessName;
}
