package cn.iocoder.yudao.module.chain.controller.admin.blockcertificate.vo;

import cn.iocoder.yudao.module.chain.controller.admin.operatedetail.vo.OperateDetailSaveReqVO;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 区块证书更新 Request VO")
@Data
public class BlockCertificateUpdateReqVO {

    @ApiModelProperty(value = "编号", required = true)
    @NotNull(message = "编号不能为空")
    private Long id;

    @ApiModelProperty(value = "环节名称", required = true)
    @NotNull(message = "环节名称不能为空")
    private String linkName;

    @ApiModelProperty(value = "上链状态")
    private Integer chainState;

    @ApiModelProperty(value = "是否扫码展示")
    private Boolean scanShow;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "区块上链操作具体上链信息集合")
    private List<OperateDetailSaveReqVO> details;

}
