package cn.iocoder.yudao.module.chain.controller.admin.blockcertificate.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@ApiModel("管理后台 - 区块证书更新状态 Request VO")
@Data
public class UpdateStatusReqVO {

    @ApiModelProperty(value = "操作类型ID，对应block_chain_id")
    @NotNull
    private String chainOperateId;

    @ApiModelProperty(value = "状态(0激活  1冻结)")
    @NotNull(message = "状态不能为空")
    private Integer chainStatus;
}
