package cn.iocoder.yudao.module.configure.controller.admin.materialgroup.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.*;

/**
* 素材管理分组 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class MaterialGroupBaseVO {

    @ApiModelProperty(value = "分组名称", required = true)
    @NotNull(message = "分组名称不能为空")
    @Length(max = 12, message = "分组名称不能超过12个字符")
    private String groupName;

}
