package cn.iocoder.yudao.module.configure.controller.admin.tracelink.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 溯源模板-环节 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class TraceLinkBaseVO {

    @ApiModelProperty(value = "模板ID")
    private String traceTemplateId;

    @ApiModelProperty(value = "模板名称")
    private String traceTemplateName;

    @ApiModelProperty(value = "环节id")
    private String linkId;

    @ApiModelProperty(value = "环节名称")
    private String linkName;

    @ApiModelProperty(value = "内容类型，详见字典")
    private Integer linkType;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称", required = true)
    @NotNull(message = "所属商户名称不能为空")
    private String belongBusinessName;

}
