package cn.iocoder.yudao.module.configure.controller.admin.tracelink.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

@ApiModel(value = "管理后台 - 溯源模板-环节 Excel 导出 Request VO", description = "参数和 TraceLinkPageReqVO 是一致的")
@Data
public class TraceLinkExportReqVO {

    @ApiModelProperty(value = "模板ID")
    private String traceTemplateId;

    @ApiModelProperty(value = "模板名称")
    private String traceTemplateName;

    @ApiModelProperty(value = "环节id")
    private String linkId;

    @ApiModelProperty(value = "环节名称")
    private String linkName;

    @ApiModelProperty(value = "内容类型，详见字典")
    private Integer linkType;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;

    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date[] createTime;

}
