package cn.iocoder.yudao.module.configure.controller.admin.tracelink.vo;

import cn.iocoder.yudao.module.configure.controller.admin.tracelinkitem.vo.TraceLinkItemRespVO;
import lombok.*;
import io.swagger.annotations.*;

import java.util.Date;
import java.util.List;

@ApiModel("管理后台 - 溯源模板-环节 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class TraceLinkRespVO extends TraceLinkBaseVO {

    @ApiModelProperty(value = "编号", required = true)
    private Long id;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "溯源模板-环节item集合")
    private List<TraceLinkItemRespVO> traceLinkItems;

}
