package cn.iocoder.yudao.module.configure.controller.admin.tracetemplate.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 溯源模板 Excel VO
 *
 * @author 芋道源码
 */
@Data
public class TraceTemplateExcelVO {

    @ExcelProperty("编号")
    private Long id;

    @ExcelProperty("模板id")
    private String templateId;

    @ExcelProperty("模板名称")
    private String templateName;

    @ExcelProperty("商品id")
    private String goodsId;

    @ExcelProperty("商品名称")
    private String goodsName;

    @ExcelProperty("所属商户id")
    private Long belongBusinessId;

    @ExcelProperty("所属商户名称")
    private String belongBusinessName;

    @ExcelProperty("创建时间")
    private Date createTime;

}
