package cn.iocoder.yudao.module.configure.controller.admin.unitemplate.vo;

import cn.iocoder.yudao.module.configure.controller.admin.unitemplateitem.vo.UniTemplateItemRespVO;
import lombok.*;
import io.swagger.annotations.*;

import java.util.Date;
import java.util.List;

@ApiModel("管理后台 - 小程序模板 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class UniTemplateRespVO extends UniTemplateBaseVO {

    @ApiModelProperty(value = "编号")
    private Long id;

    @ApiModelProperty(value = "是否显示商品详情")
    private Boolean showGoodsDetail;

    @ApiModelProperty(value = "商品详情图标")
    private String goodsDetailIconUrl;

    @ApiModelProperty(value = "是否显示ai")
    private Boolean showAi;

    @ApiModelProperty(value = "ai图标")
    private String aiIconUrl;

    @ApiModelProperty(value = "是否显示商城")
    private Boolean showShop;

    @ApiModelProperty(value = "商城图标")
    private String shopIconUrl;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "环节模板列表")
    private List<UniTemplateItemRespVO> templateItemList;

}
