package cn.iocoder.yudao.module.configure.framework.rpc.config;

import cn.iocoder.yudao.module.basic.api.businessinfo.BusinessInfoApi;
import cn.iocoder.yudao.module.basic.api.goodsinfo.GoodsInfoApi;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Configuration;

@Configuration(proxyBeanMethods = false)
@EnableFeignClients(clients = {
        BusinessInfoApi.class,
        GoodsInfoApi.class,
})
public class RpcConfiguration {
}
