package cn.iocoder.yudao.module.identity.controller.admin.generatebatch.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 码生成记录与批次关联记录 Excel VO
 *
 * @author 芋道源码
 */
@Data
public class GenerateBatchExcelVO {

    @ExcelProperty("编码")
    private Long id;

    @ExcelProperty("码生成记录id")
    private String generateRecordId;

    @ExcelProperty("相关批次ID")
    private String batchId;

    @ExcelProperty("生成数量")
    private Integer num;

    @ExcelProperty("类型： 0：采收批次")
    private Integer batchType;

    @ExcelProperty("所属商户id")
    private Long belongBusinessId;

    @ExcelProperty("所属商户名称")
    private String belongBusinessName;

    @ExcelProperty("创建时间")
    private Date createTime;

}
