package cn.iocoder.yudao.module.identity.controller.admin.generatebatch.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class GenerateBatchSaveReqVO {

    @ApiModelProperty(value = "编码", required = true)
    private Long id;

    @ApiModelProperty(value = "码生成记录id", required = true)
    @NotNull(message = "码生成记录id不能为空")
    private String generateRecordId;

    @ApiModelProperty(value = "相关批次ID", required = true)
    @NotNull(message = "相关批次ID不能为空")
    private String batchId;

    @ApiModelProperty(value = "生成数量", required = true)
    @NotNull(message = "生成数量不能为空")
    private Integer num;

    @ApiModelProperty(value = "类型： 0：采收批次", required = true)
    @NotNull(message = "类型： 0：采收批次不能为空")
    private Integer batchType;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称", required = true)
    @NotNull(message = "所属商户名称不能为空")
    private String belongBusinessName;
}
