package cn.iocoder.yudao.module.identity.controller.admin.scanrecord.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@ApiModel("管理后台 - 扫码记录次数统计 Request VO")
@Data
@ToString(callSuper = true)
class ScanRecordTimeReqVO {


    @ApiModelProperty(value = "商品id")
    private String goodsId;

    @ApiModelProperty(value = "扫码时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", timezone="GMT")
    private Date[] scanTime;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;

}
