package cn.iocoder.yudao.module.product.controller.admin.deviceinfo.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@ApiModel("管理后台 - 设备信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DeviceInfoPageReqVO extends PageParam {

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "网关类型： 1：必联  2：有人")
    private Integer gatewayType;

    @ApiModelProperty(value = "设备类型： 1：控制器  2：传感器  3：监控")
    private Integer deviceType;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;

}
