package cn.iocoder.yudao.module.product.controller.admin.envtype.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;

@ApiModel("管理后台 - 环境类型 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class EnvTypeConfigRespVO extends EnvTypeBaseVO {

    @ApiModelProperty(value = "ID", required = true)
    private Long id;

    @ApiModelProperty(value = "配置ID")
    private Long configId;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

}
