package cn.iocoder.yudao.module.product.controller.admin.harvestbatch.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

@ApiModel("管理后台 - 采收批次分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class HarvestBatchPageReqVO extends PageParam {

    @ApiModelProperty(value = "采收批次编号")
    private String harvestBatchId;

    @ApiModelProperty(value = "入库单号")
    private String harvestId;

    @ApiModelProperty(value = "入库日期")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date[] harvestDate;

    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;

}
