package cn.iocoder.yudao.module.product.controller.admin.inspection.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 检验检疫 Excel VO
 *
 * @author 芋道源码
 */
@Data
public class InspectionExcelVO {

    @ExcelProperty("编码")
    private Long id;

    @ExcelProperty("检验批次id")
    private String inspectionId;

    @ExcelProperty("商品id")
    private String goodsId;

    @ExcelProperty("商品名称")
    private String goodsName;

    @ExcelProperty("入库批次id")
    private String harvestBatchId;

    @ExcelProperty("入库时间")
    private Date harvestTime;

    @ExcelProperty("执行标准")
    private String inspectionStandard;

    @ExcelProperty("检验结果 0合格 1不合格")
    private Integer inspectionResult;

    @ExcelProperty("自检检验项目")
    private String inspectionOwnItem;

    @ExcelProperty("检验人")
    private String inspectionUser;

    @ExcelProperty("委托检验项目")
    private String inspectionEntrustItem;

    @ExcelProperty("检测机构")
    private String inspectionOrganization;

    @ExcelProperty("检验日期")
    private Date inspectionDate;

    @ExcelProperty("等级")
    private String inspectionLevel;

    @ExcelProperty("签发日期")
    private Date issuanceDate;

    @ExcelProperty("上链状态 0：未上链  1：激活状态  2：冻结状态")
    private Integer blockState;

    @ExcelProperty("批次上链区块id")
    private String blockChainId;

    @ExcelProperty("批次上链区块唯一识别码")
    private String blockChainBlockIdentity;

    @ExcelProperty("所属商户id")
    private Long belongBusinessId;

    @ExcelProperty("所属商户名称")
    private String belongBusinessName;

    @ExcelProperty("创建时间")
    private Date createTime;

}
