package cn.iocoder.yudao.module.product.controller.admin.inspection.vo;

import cn.iocoder.yudao.module.product.controller.admin.inspectionitem.vo.InspectionItemRespVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;
import java.util.List;

@ApiModel("管理后台 - 检验检疫 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class InspectionRespVO extends InspectionBaseVO {

    @ApiModelProperty(value = "编码", required = true)
    private Long id;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "检测项目集合")
    private List<InspectionItemRespVO> inspectionItems;

}
