package cn.iocoder.yudao.module.product.controller.admin.statistics.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class InputsBuyDataRespVO {

    @ApiModelProperty(value = "月同比数据")
    private List<MonthYOYRespVO> monthYOYDatas;

    @ApiModelProperty(value = "周同比数据")
    private List<WeekYOYRespVO> weekYOYDatas;

    @ApiModelProperty(value = "投入品采购月统计信息")
    private List<InputsStatisticsDataRespVO> inputsMonthStatisticsDatas;

    @ApiModelProperty(value = "投入品采购月统计信息")
    private List<InputsStatisticsDataRespVO> inputsWeekStatisticsDatas;

    @ApiModelProperty(value = "投入品采购数量")
    private BigDecimal todayInputBuyCount;

}
