package cn.iocoder.yudao.module.system.controller.admin.languagetype.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
* 语言类型 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class LanguageTypeBaseVO {

    @ApiModelProperty(value = "语言名称", required = true)
    @NotBlank(message = "语言名称不能为空")
    private String name;

    @ApiModelProperty(value = "显示名称", required = true)
    @NotBlank(message = "显示名称不能为空")
    private String showName;

    @ApiModelProperty(value = "配置名称", required = true)
    @NotBlank(message = "配置名称不能为空")
    private String configName;

    @ApiModelProperty(value = "图片地址", required = true)
    @NotBlank(message = "图片地址不能为空")
    private String picPath;

}
